## imms 1.1

=== Makefile ===
-include vars.mk
-include .*.d

.PHONY: first

first: configure
	 $(warning Please run the "configure" script)

include rules.mk

## imms 2.0.1

=== Makefile ===
-include vars.mk

.PHONY: first

first: configure
	$(error Please run the "configure" script)
 
configure: configure.ac
	autoreconf

immsconf.h: configure
	$(error Please run the "configure" script)

.PHONY: clean distclean dist

clean:
	rm -f $(wildcard build/*.o)
	rm -f $(wildcard build/lib*imms*.* build/analyzer build/immstool build/immsd build/imms-*.tar.* build/imms*.o core* build/.*.d)

distclean: clean
	rm -f $(wildcard .\#* config.* configure immsconf.h* aclocal.m4* vars.mk)
	rm -rf $(wildcard autom4te.cache)

dist: immsconf.h distclean
	mv autogen.sh configure
	cp -r . /tmp/imms-$(VERSION)
	rm -rf `find /tmp/imms-$(VERSION)/ -name .svn`
	tar -C /tmp/ -cj imms-$(VERSION)/ -f build/imms-$(VERSION).tar.bz2
	tar -C /tmp/ -cz imms-$(VERSION)/ -f build/imms-$(VERSION).tar.gz
	rm -rf /tmp/imms-$(VERSION)/
	mv configure autogen.sh

vars.mk:;

%:
	@make -C build --no-print-directory $@

=== build/Makefile ===
-include ../vars.mk
-include .*.d

.PHONY: first

first: ../configure
	 $(warning Please run the "configure" script)

include ../rules.mk

all: immsd analyzer immstool $(PLUGINS)

libimmscore.a: $(call objects,../immscore)
	$(AR) $(ARFLAGS) $@ $(filter %.o,$^)

immstool-CPPFLAGS = -I../analyzer
immstool: immstool.o libimmscore.a spectrum.o

analyzer: $(call objects,../analyzer)
analyzer: libimmscore.a
analyzer-LIBS=`pkg-config fftw3 --libs`

songinfo-CPPFLAGS=$(TAGCPPFLAGS)
socketserver-CPPFLAGS=$(GLIB2CPPFLAGS)

immsd: libimmscore.a
immsd: $(call objects,../immsd)
immsd-CPPFLAGS=$(GLIB2CPPFLAGS)
immsd-LIBS=$(GLIB2LDFLAGS)

PLUGINS_INSTALL=$(patsubst %,%_install,$(PLUGINS))
plugins_install: $(PLUGINS_INSTALL)

## imms 2.0.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	$(error Please run the "configure" script)
  
 configure: configure.ac
-	autoreconf
+	autoheader
+	aclocal
+	autoconf
 
 immsconf.h: configure
 	$(error Please run the "configure" script)
@@ -25,6 +27,7 @@
 	mv autogen.sh configure
 	cp -r . /tmp/imms-$(VERSION)
 	rm -rf `find /tmp/imms-$(VERSION)/ -name .svn`
+	rm -rf /tmp/imms-$(VERSION)/tests
 	tar -C /tmp/ -cj imms-$(VERSION)/ -f build/imms-$(VERSION).tar.bz2
 	tar -C /tmp/ -cz imms-$(VERSION)/ -f build/imms-$(VERSION).tar.gz
 	rm -rf /tmp/imms-$(VERSION)/

=== build/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 include ../rules.mk
 
-all: immsd analyzer immstool $(PLUGINS)
+all: immsd immstool $(OPTIONAL) $(PLUGINS)
 
 libimmscore.a: $(call objects,../immscore)
 	$(AR) $(ARFLAGS) $@ $(filter %.o,$^)

## imms 3.0.2

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,7 @@
 .PHONY: clean distclean dist
 
 clean:
-	rm -f $(wildcard build/*.o)
-	rm -f $(wildcard build/lib*imms*.* build/analyzer build/immstool build/immsd build/imms-*.tar.* build/imms*.o core* build/.*.d)
+	rm -f $(wildcard build/[^M]* core* build/.*.d)
 
 distclean: clean
 	rm -f $(wildcard .\#* config.* configure immsconf.h* aclocal.m4* vars.mk)
@@ -27,7 +26,6 @@
 	mv autogen.sh configure
 	cp -r . /tmp/imms-$(VERSION)
 	rm -rf `find /tmp/imms-$(VERSION)/ -name .svn`
-	rm -rf /tmp/imms-$(VERSION)/tests
 	tar -C /tmp/ -cj imms-$(VERSION)/ -f build/imms-$(VERSION).tar.bz2
 	tar -C /tmp/ -cz imms-$(VERSION)/ -f build/imms-$(VERSION).tar.gz
 	rm -rf /tmp/imms-$(VERSION)/

=== build/Makefile ===
-include ../vars.mk
-include .*.d

.PHONY: first

first: ../configure
	 $(warning Please run the "configure" script)

include ../rules.mk

all: immsd immstool $(OPTIONAL) $(PLUGINS)

libimmscore.a: $(call objects,../immscore)
	$(AR) $(ARFLAGS) $@ $(filter %.o,$^)

immstool: immstool.o distance.o emd.o libimmscore.a 

analyzer: $(call objects,../analyzer)
analyzer: libimmscore.a
analyzer-LIBS=`pkg-config fftw3 --libs` -ltorch

autotag: $(call objects,../autotag)
autotag: libimmscore.a
autotag-LIBS=-lmusicbrainz

immsremote: $(call objects,../immsremote)
immsremote: libimmscore.a
immsremote-CPPFLAGS=`pkg-config --cflags gtk+-2.0 libglade-2.0` -DDATADIR=\"$(datadir)\"
immsremote-LIBS=`pkg-config --libs gtk+-2.0 libglade-2.0` -rdynamic

classifier: $(call objects,../classifier)
classifier: beatkeeper.o libimmscore.a
classifier-LIBS=-ltorch

songinfo-CPPFLAGS=$(TAGCPPFLAGS)
socketserver-CPPFLAGS=$(GLIB2CPPFLAGS)

immsd: libimmscore.a
immsd: $(call objects,../immsd)
immsd: distance.o emd.o
immsd-CPPFLAGS=$(GLIB2CPPFLAGS)
immsd-LIBS=$(GLIB2LDFLAGS)

PLUGINS_INSTALL=$(patsubst %,%_install,$(PLUGINS))
plugins_install: $(PLUGINS_INSTALL)

analyzer_install: analyzer
	${INSTALL} -D $< $(bindir)/$<

immsremote_install: immsremote glade_install
	${INSTALL} -D $< $(bindir)/$<

glade_install: ../immsremote/immsremote.glade
	${INSTALL} -D $< $(datadir)/imms/immsremote.glade

## imms 3.1.0~rc4

=== Makefile ===
--- 
+++ 
@@ -34,4 +34,4 @@
 vars.mk:;
 
 %:
-	@make -C build --no-print-directory $@
+	@$(MAKE) -C build --no-print-directory $@

=== build/Makefile ===
-include ../vars.mk
-include .*.d

.PHONY: first

first: ../configure
	 $(warning Please run the "configure" script)

include ../rules.mk

all: immsd immstool $(OPTIONAL) $(PLUGINS)

training: training_data train_model

libimmscore.a: $(call objects,../immscore)
	$(AR) $(ARFLAGS) $@ $(filter %.o,$^)

libmodel.a: $(call objects,../model) svm-similarity-data.o
	$(AR) $(ARFLAGS) $@ $(filter %.o,$^)

immstool: immstool.o libmodel.a libimmscore.a 
training_data: training_data.o libmodel.a libimmscore.a 
train_model: train_model.o libmodel.a libimmscore.a 

analyzer: $(call objects,../analyzer)
analyzer: libimmscore.a libmodel.a
analyzer-LIBS=`pkg-config fftw3 --libs`

autotag: $(call objects,../autotag)
autotag: libimmscore.a
autotag-CPPFLAGS=$(TAGCPPFLAGS)
autotag-LIBS=-lmusicbrainz -ltag

immsremote: $(call objects,../immsremote)
immsremote: libimmscore.a
immsremote-CPPFLAGS=`pkg-config --cflags gtk+-2.0 libglade-2.0` -DDATADIR=\"$(datadir)\"
immsremote-LIBS=`pkg-config --libs gtk+-2.0 libglade-2.0` -rdynamic

songinfo-CPPFLAGS=$(TAGCPPFLAGS)
socketserver-CPPFLAGS=$(GLIB2CPPFLAGS)

immsd: libimmscore.a libmodel.a
immsd: $(call objects,../immsd)
immsd-CPPFLAGS=$(GLIB2CPPFLAGS)
immsd-LIBS=$(GLIB2LDFLAGS)

PLUGINS_INSTALL=$(patsubst %,%_install,$(PLUGINS))
plugins_install: $(PLUGINS_INSTALL)

analyzer_install: analyzer
	${INSTALL} -D $< $(bindir)/$<

autotag_install: autotag
	${INSTALL} -D $< $(bindir)/$<

immsremote_install: immsremote glade_install
	${INSTALL} -D $< $(bindir)/$<

glade_install: ../immsremote/immsremote.glade
	${INSTALL} -m 644 -D $< $(datadir)/imms/immsremote.glade

## imms 3.1.0~rc8

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,21 @@
+#
+# IMMS: Intelligent Multimedia Management System
+# Copyright (C) 2001-2009 Michael Grigoriev
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
+#
 -include vars.mk
 
 .PHONY: first

=== debian/changelog ===
imms (3.1.0~rc8-2) unstable; urgency=low

  * switch to dpkg-source 3.0 (quilt) format
    + remove dpatch from build dependencies and debian/rules
  * build with audacious 2.3
    + replace audacious-plugins-dev with audacious-dev in build dependencies
    + new patch 02audacious-2.3.patch by james.westby@ubuntu.com
      - slightly modified to remove glib references
  * update Standards-Version to 3.8.4 (no changes required)

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 24 May 2010 20:38:55 +0000

imms (3.1.0~rc8-1) unstable; urgency=low

  * new upstream release
  * removed patches - applied by upstream:
    + 02compile-with-gcc-4.3.dpatch
    + 03compile-with-bmp-names-fix-486989.dpatch
    + 04sox--w-is-obsoleted.dpatch
  * fixed typo in debian/changelog
  * build without immsremote - no documentation is provided, functionality is
    quizzical
  * debian/control: updated Homepage
  * debian/watch: update to new location
  * user manuals in man format are provided (Closes: #251085)
    + xsltproc and docbook-xsl added to Build-Depends
    + analyzer.xml, immsd.xml, immstool.xml appeared in debian/
    + debian/rules takes care on maintaing files in man format

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 27 Jun 2009 18:26:17 +0000

imms (3.1.0~rc4-6) unstable; urgency=low

  * depends on libsox-fmt-base and libsox-fmt-mp3 to support (among others)
    ogg and mp3 format (Closes: #497811)

 -- Artur R. Czechowski <arturcz@hell.pl>  Fri, 12 Sep 2008 22:50:16 +0200

imms (3.1.0~rc4-5) unstable; urgency=low

  * sox -w option is obsoleted, use -2 instead (Closes: #495378)
  * stronger dependency on sox, was: recommend, is: depends on
  * additionally, it's versioned dependency >= 14.1.0, because of change
    from -w to -2.
  * for debian-release team: it requires unfreezed sox to be useful in lenny

 -- Artur R. Czechowski <arturcz@hell.pl>  Thu, 21 Aug 2008 23:23:02 +0200

imms (3.1.0~rc4-4) unstable; urgency=low

  * Some #defines to make imms compilable with new names in audacious
    code (Closes: #486989).
  * DM-Upload-Allowed: yes

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 29 Jun 2008 00:31:17 +0200

imms (3.1.0~rc4-3) unstable; urgency=low

  * Really add 02compile-with-gcc-4.3 (Closes: #476824)

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 19 Apr 2008 20:46:27 +0200

imms (3.1.0~rc4-2) unstable; urgency=low

  * Reworking the debian/copyright file as requested by Joerg Jaspert

 -- Artur R. Czechowski <arturcz@hell.pl>  Mon, 07 Apr 2008 22:47:15 +0200

imms (3.1.0~rc4-1) unstable; urgency=low

  * The "Farewell XMMS" release
  * New upstream release
    + No longer uses EMD, files have been removed (Closes: #358991)
  * The copyright file copied from upstream AUTHORS file
  * Don't build xmms plugin anymore (Closes: #456686)
    + Removed build-dependency on xmms-dev
    + Run ./configure --without-xmms --without-bmp
  * Split the package for imms-${player} plugins and imms-common
  * Build plugin for audacious
  * Add to Build-Depends: audacious-plugins-dev, dpatch, autoconf, automake
  * Using dpatch to manage patches
  * New patches:
    + 01verbose-compilation
    + 02compile-with-gcc-4.3

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 16 Mar 2008 01:34:24 +0100

imms (3.0.2-2) unstable; urgency=low

  * "Cleaning BTS" release
  * Take over the package with maintainer agreement (Closes: #463269),
    thanks to Norbert Veber for his previous work
  * There is no consensus about removing xmms from Lenny in discussion:
    http://lists.debian.org/debian-devel/2007/07/msg00026.html
    Additionally, I'll package imms plugin for audacious soon. The imms
    shall remain in Debian (Closes: #456686)
  * sox does not have -p option anymore (Closes: #414829)
  * Remove quilt, incorporate changes from no-fno-rtti patch (see #459028)
  * Add missing #includes for gcc 4.3 (Closes: #417233)
  * Updating build dependency fftw3-dev -> libfftw3-dev (Closes: #460981)
  * Don't ignore make clean error
  * Moving Homepage from extended description to separate field.
  * Update Standards-Version (nothing to change) to 3.7.3

 -- Artur R. Czechowski <arturcz@hell.pl>  Wed, 30 Jan 2008 20:01:00 +0100

imms (3.0.2-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Build without -fno-rtti. (Closes: #459028)
  * Add quilt patching system to manage patch.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Jan 2008 11:51:52 +0100

imms (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Added a watch file (debian/watch)
  * Increased debhelper compatibility level to 5
  * Removed executable bit from /usr/share/imms/immsremote.glade
  * Build depend on libsqllite3-dev >= 3.2.2
    Closes: #342703

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  8 Mar 2006 13:35:48 -0500

imms (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Norbert Veber <nveber@pyre.virge.net>  Thu,  8 Dec 2005 15:04:33 -0500

imms (3.0-1) unstable; urgency=low

  * New upstream release
    Closes: #341335

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  7 Dec 2005 21:15:07 -0500

imms (2.1.1-3) unstable; urgency=low

  * Removed the -shared flag used by the configure script which was causing
    problems on amd64.
    Closes: #331270

 -- Norbert Veber <nveber@pyre.virge.net>  Mon,  3 Oct 2005 19:36:30 -0400

imms (2.1.1-2) unstable; urgency=low

  * Build depend on libxss-dev

 -- Norbert Veber <nveber@pyre.virge.net>  Thu, 29 Sep 2005 10:41:45 -0400

imms (2.1.1-1) unstable; urgency=low

  * New upstream release
    Closes: #309455
  * Recompile with libtag1c2
    Closes: #321544
  * Added workaround for libc bug 323811, thanks to Brad Sawatzky for the
    patch!
    Closes: #324220
  * Build depend on zlib1g-dev
    Closes: #323317
  * Random and repeat modes can now be turned off.  However if random play is
    enabled, the playlist is still repeated.
    Closes: #322032, #253300
  * The "0 msecs elapsed" mesages are no longer printed to the console


=== debian/control ===
Source: imms
Section: utils
Priority: optional
Maintainer: Artur R. Czechowski <arturcz@hell.pl>
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Homepage: http://imms.luminal.org/
Build-Depends: debhelper (>> 5.0.0), audacious-dev, libsqlite3-dev (>=3.2.2), libpcre3-dev (>=4.3), libtag1-dev, libvorbis-dev (>=1.0), libfftw3-dev, libglib2.0-dev, zlib1g-dev, libxss-dev, libtorch3-dev, libglade2-dev, autoconf, automake, xsltproc, docbook-xsl

Package: imms-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sox (>= 14.1.0), libsox-fmt-base, libsox-fmt-mp3
Recommends: sqlite, sqlite3, imms-plugin
Conflicts: imms
Description: Unobtrusive, automatic, and learning playlist manager
 IMMS is an intelligent playlist plug-in that tracks your 
 listening patterns and dynamically adapts to your taste.
 .
 This package contains internal tools used by imms plugins for players.
 It is useless without any imms-plugin

Package: imms-audacious
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imms-common (= ${binary:Version})
Provides: imms-plugin
Description: Unobtrusive, automatic, and learning audacious playlist manager
 IMMS is an intelligent playlist plug-in that tracks your
 listening patterns and dynamically adapts to your taste.
 .
 Major features include:
 .
  - Rating and playlist adjustment are done completely transparently to
    the user. IMMS is super easy to use!
  - Though IMMS will mostly play "good" songs, occasionally less popular
    ones are given a chance to earn your favor.
  - IMMS does a better job of shuffling than player
    It is able to recognize different versions of the same song (eg. remixes)
    and not play them too often.
  - IMMS uses smart file identification that allows files to keep their
    ratings even if they are moved and/or their tags change.
  .
  This package contains audacious plugin

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

MANPAGES=analyzer immsd immstool

configure: 
	$(MAKE) configure
configure-stamp: configure
	dh_testdir
	./configure --without-xmms --without-bmp --disable-immsremote

	touch configure-stamp


build: build-stamp


build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) all

	for p in $(MANPAGES); do \
	  xsltproc --nonet --param man.charmap.use.subset "0" \
	           --param make.year.ranges "1" \
		   --param make.single.year.ranges "1" \
		   -o debian/ \
		   /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		   debian/$$p.xml ; \
	done

	touch build-stamp

clean: clean1 
clean1: configure
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	for p in $(MANPAGES); do rm -f debian/$$p.1; done

#	rm -f config.log config.status vars.mk immsconf.h
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/imms.
	$(MAKE) programs_install prefix=$(CURDIR)/debian/imms-common/usr
	install -m 0644 -D build/libaudaciousimms.so $(CURDIR)/debian/imms-audacious`pkg-config --variable=general_plugin_dir audacious`/libaudaciousimms.so
	ln -sf imms-common debian/imms-audacious/usr/share/doc/imms-audacious

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -pimms-common
	dh_installdocs -pimms-common
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" http://code.google.com/p/imms/downloads/list http://imms.googlecode.com/files/imms-(.*)\.tar\.bz2

## imms 3.1.0~svn301

=== Makefile ===
--- 
+++ 
@@ -42,11 +42,11 @@
 
 dist: immsconf.h distclean
 	mv autogen.sh configure
-	cp -r . /tmp/imms-$(VERSION)
-	rm -rf `find /tmp/imms-$(VERSION)/ -name .svn`
-	tar -C /tmp/ -cj imms-$(VERSION)/ -f build/imms-$(VERSION).tar.bz2
-	tar -C /tmp/ -cz imms-$(VERSION)/ -f build/imms-$(VERSION).tar.gz
-	rm -rf /tmp/imms-$(VERSION)/
+	cp -r . /tmp/imms-r$(VERSION)
+	rm -rf `find /tmp/imms-r$(VERSION)/ -name .svn`
+	tar -C /tmp/ -cj imms-r$(VERSION)/ -f build/imms-r$(VERSION).tar.bz2
+	tar -C /tmp/ -cz imms-r$(VERSION)/ -f build/imms-r$(VERSION).tar.gz
+	rm -rf /tmp/imms-r$(VERSION)/
 	mv configure autogen.sh
 
 vars.mk:;

=== build/Makefile ===
--- 
+++ 
@@ -1,3 +1,21 @@
+#
+# IMMS: Intelligent Multimedia Management System
+# Copyright (C) 2001-2009 Michael Grigoriev
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
+#
 -include ../vars.mk
 -include .*.d
 
@@ -18,7 +36,7 @@
 libmodel.a: $(call objects,../model) svm-similarity-data.o
 	$(AR) $(ARFLAGS) $@ $(filter %.o,$^)
 
-immstool: immstool.o libmodel.a libimmscore.a 
+immstool: immstool.o libmodel.a libimmscore.a mfcckeeper.o
 training_data: training_data.o libmodel.a libimmscore.a 
 train_model: train_model.o libmodel.a libimmscore.a

=== debian/changelog ===
imms (3.1.0~svn301-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Tighten audacious-dev in Build-Depends to (>= 3.6).
  * debian/patches/audacious-3.6.patch: Upstream patch to port imms to
    Audacious 3.6+ (Closes: #807843)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Dec 2015 21:41:08 +0100

imms (3.1.0~svn301-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Add Build-Depends on libaudclient-dev which is now
      separate from audacious-dev. (Closes: #759708)
    - Tighten audacious-dev in Build-Depens to (>= 3.5) to ensure that
      plugin_dir variable in the pkg-config file is available.
  * debian/rules: Use plugin_dir variable to determine plugin directory.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Sep 2014 10:55:50 +0200

imms (3.1.0~svn301-3) unstable; urgency=low

  * urgency high - testing has non-working version
  * force rebuild with new audacious (Closes: #719046) (LP: #1209123)
  * debian/control: removed DM-Upload-Allowed
  * debian/rules: add hardening flags
    - new patch hardening-flags.patch
  * debian/rules: remove unsupported configure options:
    --without-xmms --without-bmp
  * update Standard-Version to 3.9.4 - no changes required

 -- Artur R. Czechowski <arturcz@hell.pl>  Tue, 27 Aug 2013 21:59:32 +0200

imms (3.1.0~svn301-2) unstable; urgency=high

  * urgency high - testing has non-working version
  * 3.1.0~svn301-1 also fixes Ubuntu bug (LP: #935183)
  * call the method to dereference a returned string,
    - updated audacious-3.x.patch
  * refresh all patches using quilt -p ab and diff -p
  * removed obsoleted Conflicts with really old package
  * debian/rules: provide build-arch and build-indep targets to make lintian
    happy
  * update Standard-Version to 3.9.3 - no changes required

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 18 Mar 2012 02:43:12 +0100

imms (3.1.0~svn301-1) unstable; urgency=low

  * new upstream release
  * rename patch:
    - 01verbose-compilation.patch -> verbose-compilation.patch
  * remove patches:
    - 02audacious-2.3.patch
    - 03audacious-2.4.patch
    - 04utf8-filename-conversion.patch
  * new patches:
    - audacious-3.x.patch (Closes: #661390)
    - configure-plugin-is-critical.patch
    - local-version.patch
    - sox-deprecated-options.patch
  * all patches are described in DEP3 format
  * update debian/watch to reflect layout changes on Google Code and changed
    upstream version numbering scheme

 -- Artur R. Czechowski <arturcz@hell.pl>  Sat, 17 Mar 2012 03:15:34 +0000

imms (3.1.0~rc8-3) unstable; urgency=low

  * new patches already applied in Ubuntu (Closes: #610810, #620918):
    + 03audacious-2.4.patch: fix imms to work with audacious 2.4. Patch taken
      from upstream (http://code.google.com/p/imms/source/detail?r=257)
    + 04utf8-filename-conversion.patch: backport upstream fix to use
       g_filename_to_utf8 for filename conversion

 -- Artur R. Czechowski <arturcz@hell.pl>  Sun, 11 Dec 2011 20:30:59 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Artur R. Czechowski <arturcz@hell.pl>
-DM-Upload-Allowed: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 Homepage: http://imms.luminal.org/
-Build-Depends: debhelper (>> 5.0.0), audacious-dev, libsqlite3-dev (>=3.2.2), libpcre3-dev (>=4.3), libtag1-dev, libvorbis-dev (>=1.0), libfftw3-dev, libglib2.0-dev, zlib1g-dev, libxss-dev, libtorch3-dev, libglade2-dev, autoconf, automake, xsltproc, docbook-xsl
+Build-Depends: debhelper (>> 5.0.0), audacious-dev (>= 3.6), libsqlite3-dev (>=3.2.2), libpcre3-dev (>=4.3), libtag1-dev, libvorbis-dev (>=1.0), libfftw3-dev, libglib2.0-dev, zlib1g-dev, libxss-dev, libtorch3-dev, libglade2-dev, autoconf, automake, xsltproc, docbook-xsl, libaudclient-dev
 
 Package: imms-common
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, sox (>= 14.1.0), libsox-fmt-base, libsox-fmt-mp3
 Recommends: sqlite, sqlite3, imms-plugin
-Conflicts: imms
 Description: Unobtrusive, automatic, and learning playlist manager
  IMMS is an intelligent playlist plug-in that tracks your 
  listening patterns and dynamically adapts to your taste.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+CFLAGS += -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -31,13 +36,14 @@
 	$(MAKE) configure
 configure-stamp: configure
 	dh_testdir
-	./configure --without-xmms --without-bmp --disable-immsremote
+	./configure --disable-immsremote CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch configure-stamp
 
+build: build-arch build-indep
+build-indep:
 
-build: build-stamp
-
+build-arch: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -75,7 +81,7 @@
 
 	# Add here commands to install the package into debian/imms.
 	$(MAKE) programs_install prefix=$(CURDIR)/debian/imms-common/usr
-	install -m 0644 -D build/libaudaciousimms.so $(CURDIR)/debian/imms-audacious`pkg-config --variable=general_plugin_dir audacious`/libaudaciousimms.so
+	install -m 0644 -D build/libaudaciousimms.so $(CURDIR)/debian/imms-audacious`pkg-config --variable=plugin_dir audacious`/General/libaudaciousimms.so
 	ln -sf imms-common debian/imms-audacious/usr/share/doc/imms-audacious
 
 # Build architecture-independent files here.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/3.1.0~svn//,\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://imms.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/imms/downloads/detail[?]name=imms-r(.+).tar.bz2&.*
